GNU logs - #16127, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16127: 24.3.50; emacs crashes with macfont_free_entity
Resent-From: Darren Hoo <darren.hoo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 13 Dec 2013 02:48:01 +0000
Resent-Message-ID: <handler.16127.B.138690285132279 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 16127
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 16127 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.138690285132279
          (code B ref -1); Fri, 13 Dec 2013 02:48:01 +0000
Received: (at submit) by debbugs.gnu.org; 13 Dec 2013 02:47:31 +0000
Received: from localhost ([127.0.0.1]:46371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VrImo-0008OX-81
	for submit <at> debbugs.gnu.org; Thu, 12 Dec 2013 21:47:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43069)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrIml-0008OO-OL
 for submit <at> debbugs.gnu.org; Thu, 12 Dec 2013 21:47:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImb-0001Ut-Mo
 for submit <at> debbugs.gnu.org; Thu, 12 Dec 2013 21:47:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=4.0 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FSL_HELO_BARE_IP_2,RCVD_NUMERIC_HELO autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46696)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImb-0001Up-K7
 for submit <at> debbugs.gnu.org; Thu, 12 Dec 2013 21:47:17 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44757)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImU-0004Pi-1d
 for bug-gnu-emacs@HIDDEN; Thu, 12 Dec 2013 21:47:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImM-0001Sy-MG
 for bug-gnu-emacs@HIDDEN; Thu, 12 Dec 2013 21:47:09 -0500
Received: from plane.gmane.org ([80.91.229.3]:46501)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImM-0001St-Bp
 for bug-gnu-emacs@HIDDEN; Thu, 12 Dec 2013 21:47:02 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1VrImF-00032z-Ow
 for bug-gnu-emacs@HIDDEN; Fri, 13 Dec 2013 03:46:55 +0100
Received: from 123.122.106.148 ([123.122.106.148])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Fri, 13 Dec 2013 03:46:55 +0100
Received: from darren.hoo by 123.122.106.148 with local (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Fri, 13 Dec 2013 03:46:55 +0100
X-Injected-Via-Gmane: http://gmane.org/
From: Darren Hoo <darren.hoo@HIDDEN>
Date: Fri, 13 Dec 2013 10:46:26 +0800
Lines: 95
Message-ID: <m2fvpx4ge5.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 123.122.106.148
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (darwin)
Cancel-Lock: sha1:zscT26V5H8+3A1fAFBO53kpEPh8=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Bzr revno: 115489 brings this crash: lldb src/emacs Current
 executable set to 'src/emacs' (x86_64). (lldb) run Process 17619 launched:
 '/Volumes/disk/emacs/src/emacs' (x86_64) Process 17619 stopped * thread #1:
 tid = 0x1f0644,
 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, 
 stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT) frame #0:
 0x00000001001ac8cb
 emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, 
 n=0) + 4 at lisp.h:2007 2004 XSAVE_POINTER (Lisp_Object obj, int n) 2005
 { 2006 eassert (save_type (XSAVE_VALUE (obj), n) == SAVE_POINTER); -> 2007
 return XSAVE_VALUE (obj)->data[n].pointer;
 2008 } 2009 INLINE void 2010 set_save_pointer
 (Lisp_Object obj, int n, void *val) (lldb) bt all * thread #1: tid = 0x1f0644, 
 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, 
 stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT) frame #0:
 0x00000001001ac8cb
 emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, 
 n=0) + 4 at lisp.h:2007 frame #1: 0x00000001001ac8c7
 emacs`macfont_free_entity(entity=4353797322)
 + 23 at macfont.m:2438 frame #2: 0x000000010010910e emacs`Fgarbage_collect
 [inlined] cleanup_vector + 84 at alloc.c:2889 frame #3: 0x00000001001090ba
 emacs`Fgarbage_collect [inlined] sweep_vectors + 168 at alloc.c:2929 frame
 #4: 0x0000000100109012 emacs`Fgarbage_collect [inlined] gc_sweep + 243 at
 alloc.c:6631 frame #5: 0x0000000100108f1f emacs`Fgarbage_collect + 6015 at
 alloc.c:5554 frame #6: 0x000000010015a5e5 emacs`exec_byte_code [inlined]
 maybe_gc + 1189 at lisp.h:4476 frame #7: 0x000000010015a59b
 emacs`exec_byte_code(bytestr=<unavailable>, 
 vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>,
 nargs=<unavailable>, args=<unavailable>) + 1115 at bytecode.c:753 frame #8:
 0x000000010012529f emacs`funcall_lambda(fun=<unavailable>, nargs=<unavailable>,
 [...] Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -5.0 RCVD_IN_DNSWL_HI       RBL: Sender listed at http://www.dnswl.org/, high
 trust [208.118.235.92 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (darren.hoo[at]gmail.com)
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [208.118.235.92 listed in zen.spamhaus.org]
 0.9 RCVD_NUMERIC_HELO      Received: contains an IP address used for HELO
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.net/Why?s=mfrom;
 id=geb-bug-gnu-emacs%40m.gmane.org; ip=208.118.235.92; r=debbugs.gnu.org]
 2.0 FSL_HELO_BARE_IP_2     FSL_HELO_BARE_IP_2
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)


Bzr revno: 115489 brings this crash:

 lldb src/emacs
Current executable set to 'src/emacs' (x86_64).
(lldb) run 
Process 17619 launched: '/Volumes/disk/emacs/src/emacs' (x86_64)
Process 17619 stopped
* thread #1: tid = 0x1f0644, 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
    frame #0: 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
   2004	XSAVE_POINTER (Lisp_Object obj, int n)
   2005	{
   2006	  eassert (save_type (XSAVE_VALUE (obj), n) == SAVE_POINTER);
-> 2007	  return XSAVE_VALUE (obj)->data[n].pointer;
   2008	}
   2009	INLINE void
   2010	set_save_pointer (Lisp_Object obj, int n, void *val)
(lldb) bt all
* thread #1: tid = 0x1f0644, 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
    frame #0: 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
    frame #1: 0x00000001001ac8c7 emacs`macfont_free_entity(entity=4353797322) + 23 at macfont.m:2438
    frame #2: 0x000000010010910e emacs`Fgarbage_collect [inlined] cleanup_vector + 84 at alloc.c:2889
    frame #3: 0x00000001001090ba emacs`Fgarbage_collect [inlined] sweep_vectors + 168 at alloc.c:2929
    frame #4: 0x0000000100109012 emacs`Fgarbage_collect [inlined] gc_sweep + 243 at alloc.c:6631
    frame #5: 0x0000000100108f1f emacs`Fgarbage_collect + 6015 at alloc.c:5554
    frame #6: 0x000000010015a5e5 emacs`exec_byte_code [inlined] maybe_gc + 1189 at lisp.h:4476
    frame #7: 0x000000010015a59b emacs`exec_byte_code(bytestr=<unavailable>, vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>, nargs=<unavailable>, args=<unavailable>) + 1115 at bytecode.c:753
    frame #8: 0x000000010012529f emacs`funcall_lambda(fun=<unavailable>, nargs=<unavailable>, arg_vector=0x00007fff5fbff1f0) + 831 at eval.c:3041
    frame #9: 0x0000000100124617 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) + 631 at eval.c:2854
    frame #10: 0x000000010015a9b9 emacs`exec_byte_code(bytestr=<unavailable>, vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>, nargs=<unavailable>, args=<unavailable>) + 2169 at bytecode.c:919
    frame #11: 0x000000010012529f emacs`funcall_lambda(fun=<unavailable>, nargs=<unavailable>, arg_vector=0x00007fff5fbff370) + 831 at eval.c:3041
    frame #12: 0x0000000100124617 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) + 631 at eval.c:2854
    frame #13: 0x000000010015a9b9 emacs`exec_byte_code(bytestr=<unavailable>, vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>, nargs=<unavailable>, args=<unavailable>) + 2169 at bytecode.c:919
    frame #14: 0x000000010012529f emacs`funcall_lambda(fun=<unavailable>, nargs=<unavailable>, arg_vector=0x00007fff5fbff510) + 831 at eval.c:3041
    frame #15: 0x0000000100124617 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) + 631 at eval.c:2854
    frame #16: 0x000000010015a9b9 emacs`exec_byte_code(bytestr=<unavailable>, vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>, nargs=<unavailable>, args=<unavailable>) + 2169 at bytecode.c:919
    frame #17: 0x0000000100124617 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) + 631 at eval.c:2854
    frame #18: 0x000000010015a9b9 emacs`exec_byte_code(bytestr=<unavailable>, vector=<unavailable>, maxdepth=<unavailable>, args_template=<unavailable>, nargs=<unavailable>, args=<unavailable>) + 2169 at bytecode.c:919
    frame #19: 0x0000000100123fd2 emacs`apply_lambda(fun=4297629933, args=<unavailable>) + 290 at eval.c:2914
    frame #20: 0x0000000100120c31 emacs`eval_sub(form=<unavailable>) + 865 at eval.c:2220
    frame #21: 0x0000000100123d5a emacs`Feval(form=4353822790, lexical=<unavailable>) + 106 at eval.c:1993
    frame #22: 0x0000000100122f63 emacs`internal_condition_case(bfun=0x00000001000bfbd0, handlers=<unavailable>, hfun=<unavailable>) + 243 at eval.c:1344
    frame #23: 0x00000001000bfbb2 emacs`top_level_1(ignore=<unavailable>) + 82 at keyboard.c:1187
    frame #24: 0x0000000100122920 emacs`internal_catch(tag=<unavailable>, func=0x00000001000bfb60, arg=4320145466) + 240 at eval.c:1108
    frame #25: 0x00000001000ae63f emacs`recursive_edit_1 [inlined] command_loop + 50 at keyboard.c:1148
    frame #26: 0x00000001000ae60d emacs`recursive_edit_1 + 269 at keyboard.c:777
    frame #27: 0x00000001000ae79a emacs`Frecursive_edit + 250 at keyboard.c:841
    frame #28: 0x00000001000ad514 emacs`main(argc=0, argv=<unavailable>) + 5524 at emacs.c:1634
    frame #29: 0x00007fff8d21d5fd libdyld.dylib`start + 1
    frame #30: 0x00007fff8d21d5fd libdyld.dylib`start + 1

  thread #2: tid = 0x1f065e, 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fff93c7cf08 libsystem_pthread.dylib`_pthread_wqthread + 330
    frame #2: 0x00007fff93c7ffb9 libsystem_pthread.dylib`start_wqthread + 13

  thread #3: tid = 0x1f065f, 0x00007fff96ae8662 libsystem_kernel.dylib`kevent64 + 10, queue = 'com.apple.libdispatch-manager
    frame #0: 0x00007fff96ae8662 libsystem_kernel.dylib`kevent64 + 10
    frame #1: 0x00007fff9915043d libdispatch.dylib`_dispatch_mgr_invoke + 239
    frame #2: 0x00007fff99150152 libdispatch.dylib`_dispatch_mgr_thread + 52

  thread #4: tid = 0x1f0660, 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fff93c7cf08 libsystem_pthread.dylib`_pthread_wqthread + 330
    frame #2: 0x00007fff93c7ffb9 libsystem_pthread.dylib`start_wqthread + 13

  thread #5: tid = 0x1f0674, 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fff93c7cf08 libsystem_pthread.dylib`_pthread_wqthread + 330
    frame #2: 0x00007fff93c7ffb9 libsystem_pthread.dylib`start_wqthread + 13

  thread #6: tid = 0x1f0675, 0x00007fff96ae79aa libsystem_kernel.dylib`select$DARWIN_EXTSN + 10
    frame #0: 0x00007fff96ae79aa libsystem_kernel.dylib`select$DARWIN_EXTSN + 10
    frame #1: 0x000000010018f08e emacs`-[EmacsApp fd_handler:](self=<unavailable>, _cmd=<unavailable>, unused=<unavailable>) + 270 at nsterm.m:4807
    frame #2: 0x00007fff90c4870b Foundation`__NSThread__main__ + 1318
    frame #3: 0x00007fff93c7b899 libsystem_pthread.dylib`_pthread_body + 138
    frame #4: 0x00007fff93c7b72a libsystem_pthread.dylib`_pthread_start + 137
    frame #5: 0x00007fff93c7ffc9 libsystem_pthread.dylib`thread_start + 13

  thread #7: tid = 0x1f067e, 0x00007fff96ae3a1a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #0: 0x00007fff96ae3a1a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007fff96ae2d18 libsystem_kernel.dylib`mach_msg + 64
    frame #2: 0x00007fff91d5c315 CoreFoundation`__CFRunLoopServiceMachPort + 181
    frame #3: 0x00007fff91d5b939 CoreFoundation`__CFRunLoopRun + 1161
    frame #4: 0x00007fff91d5b275 CoreFoundation`CFRunLoopRunSpecific + 309
    frame #5: 0x00007fff9228c1ce AppKit`_NSEventThread + 144
    frame #6: 0x00007fff93c7b899 libsystem_pthread.dylib`_pthread_body + 138
    frame #7: 0x00007fff93c7b72a libsystem_pthread.dylib`_pthread_start + 137
    frame #8: 0x00007fff93c7ffc9 libsystem_pthread.dylib`thread_start + 13

  thread #8: tid = 0x1f0686, 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x00007fff96ae7e6a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fff93c7cf08 libsystem_pthread.dylib`_pthread_wqthread + 330
    frame #2: 0x00007fff93c7ffb9 libsystem_pthread.dylib`start_wqthread + 13
(lldb) 





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Darren Hoo <darren.hoo@HIDDEN>
Subject: bug#16127: Acknowledgement (24.3.50; emacs crashes with
 macfont_free_entity)
Message-ID: <handler.16127.B.138690285132279.ack <at> debbugs.gnu.org>
References: <m2fvpx4ge5.fsf@HIDDEN>
X-Gnu-PR-Message: ack 16127
X-Gnu-PR-Package: emacs
Reply-To: 16127 <at> debbugs.gnu.org
Date: Fri, 13 Dec 2013 02:48:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 16127 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
16127: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D16127
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16127: 24.3.50; emacs crashes with macfont_free_entity
Resent-From: Dmitry Antipov <dmantipov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 13 Dec 2013 06:41:02 +0000
Resent-Message-ID: <handler.16127.B16127.138691684522749 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16127
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Darren Hoo <darren.hoo@HIDDEN>
Cc: 16127 <at> debbugs.gnu.org
Received: via spool by 16127-submit <at> debbugs.gnu.org id=B16127.138691684522749
          (code B ref 16127); Fri, 13 Dec 2013 06:41:02 +0000
Received: (at 16127) by debbugs.gnu.org; 13 Dec 2013 06:40:45 +0000
Received: from localhost ([127.0.0.1]:46470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VrMQV-0005uq-P9
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2013 01:40:44 -0500
Received: from forward7l.mail.yandex.net ([84.201.143.140]:38079)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dmantipov@HIDDEN>) id 1VrMQR-0005ub-Bm
 for 16127 <at> debbugs.gnu.org; Fri, 13 Dec 2013 01:40:40 -0500
Received: from smtp12.mail.yandex.net (smtp12.mail.yandex.net [95.108.131.191])
 by forward7l.mail.yandex.net (Yandex) with ESMTP id D09F3BC0D20;
 Fri, 13 Dec 2013 10:40:37 +0400 (MSK)
Received: from smtp12.mail.yandex.net (localhost [127.0.0.1])
 by smtp12.mail.yandex.net (Yandex) with ESMTP id 7819C16A0795;
 Fri, 13 Dec 2013 10:40:37 +0400 (MSK)
Received: from unknown (unknown [37.139.80.10])
 by smtp12.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id 7YRiDQ1sUG-eaBeGRpR; 
 Fri, 13 Dec 2013 10:40:37 +0400
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (Client certificate not present)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1386916837; bh=kwmzYou9LA3YiZG8cqsEumyLN2vLioKnUosiWapB9P8=;
 h=Message-ID:Date:From:User-Agent:MIME-Version:To:CC:Subject:
 References:In-Reply-To:Content-Type;
 b=hxttWqoXONfsufB7+/taA+PPTFpDzkIZuFkPI1Eq2YFkISSyfK7bZmm3EtW5uBu27
 6BmoTlI1O8kzE8Zq96dBzVU7muNNmK9qqt2h/kbpco/ZHV6YrqlyoJj5ilBsehmcWB
 3X57Pdgasy+8uHXVcmpz3GvPA+ZOqNHClfX4gjmI=
Authentication-Results: smtp12.mail.yandex.net; dkim=pass header.i=@yandex.ru
Message-ID: <52AAABE4.4020203@HIDDEN>
Date: Fri, 13 Dec 2013 10:40:36 +0400
From: Dmitry Antipov <dmantipov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
References: <m2fvpx4ge5.fsf@HIDDEN>
In-Reply-To: <m2fvpx4ge5.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------000601050002000501060601"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------000601050002000501060601
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

On 12/13/2013 06:46 AM, Darren Hoo wrote:

> Process 17619 launched: '/Volumes/disk/emacs/src/emacs' (x86_64)
> Process 17619 stopped
> * thread #1: tid = 0x1f0644, 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>      frame #0: 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
>     2004	XSAVE_POINTER (Lisp_Object obj, int n)
>     2005	{
>     2006	  eassert (save_type (XSAVE_VALUE (obj), n) == SAVE_POINTER);
> -> 2007	  return XSAVE_VALUE (obj)->data[n].pointer;
>     2008	}
>     2009	INLINE void
>     2010	set_save_pointer (Lisp_Object obj, int n, void *val)

Hm...double call to macfont_free_entity for the same entity?

Can you compile with --enable-checking and this patch?

Dmitry


--------------000601050002000501060601
Content-Type: text/x-patch;
 name="test_bug16127.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="test_bug16127.patch"

=== modified file 'src/macfont.m'
--- src/macfont.m	2013-12-12 14:26:06 +0000
+++ src/macfont.m	2013-12-13 06:37:01 +0000
@@ -2435,11 +2435,14 @@
 {
   Lisp_Object val = assq_no_quit (QCfont_entity,
 				  AREF (entity, FONT_EXTRA_INDEX));
-  CFStringRef name = XSAVE_POINTER (XCDR (val), 0);
+  if (CONSP (val) && SAVE_VALUE_P (XCDR (val)))
+    {
+      CFStringRef name = XSAVE_POINTER (XCDR (val), 0);
 
-  block_input ();
-  CFRelease (name);
-  unblock_input ();
+      block_input ();
+      CFRelease (name);
+      unblock_input ();
+    }
 }
 
 static Lisp_Object


--------------000601050002000501060601--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16127: 24.3.50; emacs crashes with macfont_free_entity
Resent-From: Darren Hoo <darren.hoo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 13 Dec 2013 08:28:02 +0000
Resent-Message-ID: <handler.16127.B16127.1386923249938 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16127
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Antipov <dmantipov@HIDDEN>
Cc: 16127 <at> debbugs.gnu.org
Received: via spool by 16127-submit <at> debbugs.gnu.org id=B16127.1386923249938
          (code B ref 16127); Fri, 13 Dec 2013 08:28:02 +0000
Received: (at 16127) by debbugs.gnu.org; 13 Dec 2013 08:27:29 +0000
Received: from localhost ([127.0.0.1]:46530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VrO5o-0000F3-5f
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2013 03:27:28 -0500
Received: from mail-wg0-f45.google.com ([74.125.82.45]:49737)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <darren.hoo@HIDDEN>) id 1VrO5l-0000Eq-Kw
 for 16127 <at> debbugs.gnu.org; Fri, 13 Dec 2013 03:27:26 -0500
Received: by mail-wg0-f45.google.com with SMTP id y10so1556501wgg.24
 for <16127 <at> debbugs.gnu.org>; Fri, 13 Dec 2013 00:27:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=m4d/D22ybhsksqfB9IYIyO6q8XmedOArA/RAAw2uPcQ=;
 b=T5b8WIS9lbdDHYE63/T5uhEZmteT0Bn4mOaUv/5D6sPkZXaV7zW2yIMGI0Y18bsWnF
 b2iPtJcC/WSJtA9Bebjtsop2oL3zNORcZgQYS80mNL+pjdyxGzzk2/GZ7fnE6HQUjdvM
 yTSb+PYmMwVJ3sqbjG3u0InN4TLK8d3jADedwrPs0w/IHuTeddlV5NOYE/jz1djHUdhH
 iGzRHo32FYI5zSe8flO17efQtwPee6OYaZ2zPDtX24ChZtfrj+J9H5xfoUeSBG7P8mE/
 WGj4L0Wlr8PG5p3V5YpmUbDX5yuTJCHRh1u0vlASUm3mMnSyGuu2ubtiGuxit10/O3nl
 cXMA==
MIME-Version: 1.0
X-Received: by 10.180.182.136 with SMTP id ee8mr1345728wic.19.1386923244767;
 Fri, 13 Dec 2013 00:27:24 -0800 (PST)
Received: by 10.194.104.231 with HTTP; Fri, 13 Dec 2013 00:27:24 -0800 (PST)
In-Reply-To: <52AAABE4.4020203@HIDDEN>
References: <m2fvpx4ge5.fsf@HIDDEN>
	<52AAABE4.4020203@HIDDEN>
Date: Fri, 13 Dec 2013 16:27:24 +0800
Message-ID: <CAJ+QY_ECaCKHknOOU1F_GhsTRhrPbFXK6Okwa8py_CdgF5QBrQ@HIDDEN>
From: Darren Hoo <darren.hoo@HIDDEN>
Content-Type: multipart/alternative; boundary=089e016346b455d0f104ed663b63
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e016346b455d0f104ed663b63
Content-Type: text/plain; charset=ISO-8859-1

On Fri, Dec 13, 2013 at 2:40 PM, Dmitry Antipov <dmantipov@HIDDEN> wrote:

> On 12/13/2013 06:46 AM, Darren Hoo wrote:
>
> Hm...double call to macfont_free_entity for the same entity?
>
> Can you compile with --enable-checking and this patch?
>
>
No more crashes after applying the patch.
using SAVE_VALUEP instead of SAVE_VALUE_P

--089e016346b455d0f104ed663b63
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Fri, Dec 13, 2013 at 2:40 PM, Dmitry Antipov <span dir=
=3D"ltr">&lt;<a href=3D"mailto:dmantipov@HIDDEN" target=3D"_blank">dmant=
ipov@HIDDEN</a>&gt;</span> wrote:<br><div class=3D"gmail_extra"><div cla=
ss=3D"gmail_quote">
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;p=
adding-left:1ex">On 12/13/2013 06:46 AM, Darren Hoo wrote:<br><br>
Hm...double call to macfont_free_entity for the same entity?<br>
<br>
Can you compile with --enable-checking and this patch?<span class=3D""><fon=
t color=3D"#888888"><br><br></font></span></blockquote><div>=A0</div><div>N=
o more crashes after applying the patch.</div><div>using=A0<span style=3D"f=
ont-family:Menlo;font-size:11px">SAVE_VALUEP=A0</span>instead of=A0<span st=
yle=3D"font-family:Menlo;font-size:11px">SAVE_VALUE_P</span></div>
</div><br></div></div>

--089e016346b455d0f104ed663b63--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16127: 24.3.50; emacs crashes with macfont_free_entity
Resent-From: Dmitry Antipov <dmantipov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 13 Dec 2013 09:32:01 +0000
Resent-Message-ID: <handler.16127.B16127.13869270707589 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16127
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Darren Hoo <darren.hoo@HIDDEN>
Cc: 16127 <at> debbugs.gnu.org
Received: via spool by 16127-submit <at> debbugs.gnu.org id=B16127.13869270707589
          (code B ref 16127); Fri, 13 Dec 2013 09:32:01 +0000
Received: (at 16127) by debbugs.gnu.org; 13 Dec 2013 09:31:10 +0000
Received: from localhost ([127.0.0.1]:46558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VrP5S-0001yK-HM
	for submit <at> debbugs.gnu.org; Fri, 13 Dec 2013 04:31:10 -0500
Received: from forward2l.mail.yandex.net ([84.201.143.145]:37142)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dmantipov@HIDDEN>) id 1VrP5P-0001y9-Nm
 for 16127 <at> debbugs.gnu.org; Fri, 13 Dec 2013 04:31:09 -0500
Received: from smtp3o.mail.yandex.net (smtp3o.mail.yandex.net [37.140.190.28])
 by forward2l.mail.yandex.net (Yandex) with ESMTP id 058121AC0F54;
 Fri, 13 Dec 2013 13:31:05 +0400 (MSK)
Received: from smtp3o.mail.yandex.net (localhost [127.0.0.1])
 by smtp3o.mail.yandex.net (Yandex) with ESMTP id 9F2551E0961;
 Fri, 13 Dec 2013 13:31:05 +0400 (MSK)
Received: from unknown (unknown [37.139.80.10])
 by smtp3o.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id pjp7w7DqdJ-V4mGsI3m; 
 Fri, 13 Dec 2013 13:31:05 +0400
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (Client certificate not present)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1386927065; bh=00q0PiXTStMq13EQMuPMHn2TynnkiZ25emMMCNcCADw=;
 h=Message-ID:Date:From:User-Agent:MIME-Version:To:CC:Subject:
 References:In-Reply-To:Content-Type:Content-Transfer-Encoding;
 b=tLtXU9+tO4s+nobcyqCKhmpfpOFDDhFi3EsC2xWiLacP/I/ySoPeiHuWvQY8Z25AT
 2UFjHUobZIZTvrHJt9B6PyIs4wdCwL6UbUjhsStGRRyAps1NlWSJ4coPXei0ec4URy
 ZfB1wG0dpf/BJfOuj8F2NgMPjJ17KVFxudNN5++M=
Authentication-Results: smtp3o.mail.yandex.net; dkim=pass header.i=@yandex.ru
Message-ID: <52AAD3D7.5030202@HIDDEN>
Date: Fri, 13 Dec 2013 13:31:03 +0400
From: Dmitry Antipov <dmantipov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
References: <m2fvpx4ge5.fsf@HIDDEN>	<52AAABE4.4020203@HIDDEN>
 <CAJ+QY_ECaCKHknOOU1F_GhsTRhrPbFXK6Okwa8py_CdgF5QBrQ@HIDDEN>
In-Reply-To: <CAJ+QY_ECaCKHknOOU1F_GhsTRhrPbFXK6Okwa8py_CdgF5QBrQ@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 12/13/2013 12:27 PM, Darren Hoo wrote:

> No more crashes after applying the patch.
> using SAVE_VALUEP instead of SAVE_VALUE_P

So, most likely this is a double call to macfont_free_entity.
BTW, what versions of OS X and Xcode you're using?

Dmitry





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#16127: 24.3.50; emacs crashes with macfont_free_entity
Resent-From: Alan Third <alan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 11 Sep 2016 10:09:01 +0000
Resent-Message-ID: <handler.16127.B16127.147358849527090 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 16127
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Darren Hoo <darren.hoo@HIDDEN>
Cc: 16127 <at> debbugs.gnu.org
Received: via spool by 16127-submit <at> debbugs.gnu.org id=B16127.147358849527090
          (code B ref 16127); Sun, 11 Sep 2016 10:09:01 +0000
Received: (at 16127) by debbugs.gnu.org; 11 Sep 2016 10:08:15 +0000
Received: from localhost ([127.0.0.1]:55913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj1gN-00072s-3j
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:08:15 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:36714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bj1gL-00072f-7V
 for 16127 <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:08:13 -0400
Received: by mail-wm0-f46.google.com with SMTP id b187so94293635wme.1
 for <16127 <at> debbugs.gnu.org>; Sun, 11 Sep 2016 03:08:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9BW/55NdSxF6sTk9xuRnCFcKrS+M0eDeFcxWQ949v48=;
 b=aNEWeOOlxyJGzl0gubLUkUsfhH6NpTpnZs62aBHaxFzfHob2TN7WIaDKp6zQSB7xyT
 BwOkPDW0AISvZel3wfAmvXeuCuoXwLBcdV0bOqYH2yb+x4tzMJt60ud8DcpBg8jxCNrc
 D914a8qKu0dERfGuK+Uhq2gHQb7hol65hsrrcTQxhCLj9ZKd5HzM6FXLgSumshCyC5gD
 mMyRRnfMS9JWyd3TO1N/HucV+5xBUzZGo6qYpIY4TaqmDDmfHN/cOQfhShDaHsG1frQV
 8LBI2+01PFMv30ovPRPS+1fVAaDgySlf+bEmO0RANavOI4Jdp+FcZltv2MkMj79JPSv+
 +7MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=9BW/55NdSxF6sTk9xuRnCFcKrS+M0eDeFcxWQ949v48=;
 b=PiRazfgNEngKaFqDcMVrbRWobrWbye0HTvZAfqzhBZAlp2ov6gy5yeQcWk0QqICt9o
 FW+qea4c6Pc2lHcdOd8sZ1KIxaXPGKK6BvG0PPKW3iTxLk5lIKJrcvsH6Psvay8gX5rt
 s5Xfl7zCwu4mquA1ws/uXMlo/sR4qTDP1Pj1WJDsYKHDaxDUN9TlMRJGevNPCon1IrKR
 BH/w6F9WXtmnqDwAux7QKKTAscCBQsEAn3R6jlGxrv8D2s1buHhWE8bdr12uuidoeDPX
 4a8KswcXFFw9UXRCtYMp0e9gAU+/q4AKPJlGXHhqEwW2ImhlhCrF+jl+8FhNWamLkasy
 okbw==
X-Gm-Message-State: AE9vXwPeYDZussRHwTG9qlZFKn1VywDfw+B2HECH2iYuQEHgE2izen2PLTfMVwOLNIC+jA==
X-Received: by 10.28.52.135 with SMTP id b129mr6238757wma.107.1473588487678;
 Sun, 11 Sep 2016 03:08:07 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2914-1213-ae12-f60c.holly.idiocy.org.
 [2001:8b0:3f8:8129:2914:1213:ae12:f60c])
 by smtp.gmail.com with ESMTPSA id m133sm12262290wmg.0.2016.09.11.03.08.06
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 11 Sep 2016 03:08:06 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
References: <m2fvpx4ge5.fsf@HIDDEN>
Date: Sun, 11 Sep 2016 11:08:05 +0100
In-Reply-To: <m2fvpx4ge5.fsf@HIDDEN> (Darren Hoo's message of "Fri, 13 Dec
 2013 10:46:26 +0800")
Message-ID: <m2lgyy696i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Darren Hoo <darren.hoo@HIDDEN> writes: > Bzr revno: 115489
 brings this crash: > > lldb src/emacs > Current executable set to 'src/emacs'
 (x86_64). > (lldb) run > Process 17619 launched:
 '/Volumes/disk/emacs/src/emacs'
 (x86_64) > Process 17619 stopped > * thread #1: tid = 0x1f0644,
 0x00000001001ac8cb
 emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, 
 n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread,
 stop reason = EXC_BAD_ACCESS
 (code=EXC_I386_GPFLT) > frame #0: 0x00000001001ac8cb emacs`macfont_free_entity
 [inlined] XCDR(c=9053142519906304, obj=9053142519906304,
 n=0) + 4 at lisp.h:2007 > 2004 XSAVE_POINTER (Lisp_Object obj,
 int n) > 2005 { > 2006 eassert (save_type
 (XSAVE_VALUE (obj), n) == SAVE_POINTER);
 > -> 2007 return XSAVE_VALUE (obj)->data[n].pointer; 
 > 2008 } > 2009 INLINE void > 2010 set_save_pointer (Lisp_Object obj, int
 n, void *val) > (lldb) bt all > * thread #1: tid = 0x1f0644, 0x00000001001ac8cb
 emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304,
 obj=9053142519906304, 
 n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread,
 stop reason = EXC_BAD_ACCESS
 (code=EXC_I386_GPFLT) > frame #0: 0x00000001001ac8cb emacs`macfont_free_entity
 [inlined] XCDR(c=9053142519906304, obj=9053142519906304,
 n=0) + 4 at lisp.h:2007
 > frame #1: 0x00000001001ac8c7 emacs`macfont_free_entity(entity=4353797322)
 + 23 at macfont.m:2438 > frame #2: 0x000000010010910e emacs`Fgarbage_collect
 [inlined] cleanup_vector + 84 at alloc.c:2889 [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [74.125.82.46 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [74.125.82.46 listed in list.dnswl.org]
 0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (athird[at]googlemail.com)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [74.125.82.46 listed in wl.mailspike.net]
 0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Darren Hoo <darren.hoo@HIDDEN> writes: > Bzr revno: 115489
    brings this crash: > > lldb src/emacs > Current executable set to 'src/emacs'
    (x86_64). > (lldb) run > Process 17619 launched: '/Volumes/disk/emacs/src/emacs'
    (x86_64) > Process 17619 stopped > * thread #1: tid = 0x1f0644, 0x00000001001ac8cb
    emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304,
    n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS
    (code=EXC_I386_GPFLT) > frame #0: 0x00000001001ac8cb emacs`macfont_free_entity
    [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
    > 2004 XSAVE_POINTER (Lisp_Object obj, int n) > 2005 { > 2006 eassert (save_type
    (XSAVE_VALUE (obj), n) == SAVE_POINTER); > -> 2007 return XSAVE_VALUE (obj)->data[n].pointer;
    > 2008 } > 2009 INLINE void > 2010 set_save_pointer (Lisp_Object obj, int
    n, void *val) > (lldb) bt all > * thread #1: tid = 0x1f0644, 0x00000001001ac8cb
    emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304,
    n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS
    (code=EXC_I386_GPFLT) > frame #0: 0x00000001001ac8cb emacs`macfont_free_entity
    [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
    > frame #1: 0x00000001001ac8c7 emacs`macfont_free_entity(entity=4353797322)
    + 23 at macfont.m:2438 > frame #2: 0x000000010010910e emacs`Fgarbage_collect
    [inlined] cleanup_vector + 84 at alloc.c:2889 [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [74.125.82.46 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.46 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [74.125.82.46 listed in list.dnswl.org]
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (athird[at]googlemail.com)
  0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

Darren Hoo <darren.hoo@HIDDEN> writes:

> Bzr revno: 115489 brings this crash:
>
>  lldb src/emacs
> Current executable set to 'src/emacs' (x86_64).
> (lldb) run 
> Process 17619 launched: '/Volumes/disk/emacs/src/emacs' (x86_64)
> Process 17619 stopped
> * thread #1: tid = 0x1f0644, 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>     frame #0: 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
>    2004	XSAVE_POINTER (Lisp_Object obj, int n)
>    2005	{
>    2006	  eassert (save_type (XSAVE_VALUE (obj), n) == SAVE_POINTER);
> -> 2007	  return XSAVE_VALUE (obj)->data[n].pointer;
>    2008	}
>    2009	INLINE void
>    2010	set_save_pointer (Lisp_Object obj, int n, void *val)
> (lldb) bt all
> * thread #1: tid = 0x1f0644, 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007, queue = 'com.apple.main-thread, stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>     frame #0: 0x00000001001ac8cb emacs`macfont_free_entity [inlined] XCDR(c=9053142519906304, obj=9053142519906304, n=0) + 4 at lisp.h:2007
>     frame #1: 0x00000001001ac8c7 emacs`macfont_free_entity(entity=4353797322) + 23 at macfont.m:2438
>     frame #2: 0x000000010010910e emacs`Fgarbage_collect [inlined] cleanup_vector + 84 at alloc.c:2889

Hi, are you still getting this crash with a more up-to-date Emacs?

If so, are there any steps you take to reproduce it?

Thanks!
-- 
Alan Third




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 11 Sep 2016 10:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 06:08:27 2016
Received: from localhost ([127.0.0.1]:55916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj1gZ-00073J-By
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:08:27 -0400
Received: from mail-wm0-f50.google.com ([74.125.82.50]:35313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1bj1gX-000734-9v
 for control <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:08:25 -0400
Received: by mail-wm0-f50.google.com with SMTP id a6so12056655wmc.0
 for <control <at> debbugs.gnu.org>; Sun, 11 Sep 2016 03:08:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:message-id:to:from:subject;
 bh=htczOtjiWUfPvipOVTxl/0fPYlkwD8R9tUaXYGdjD8E=;
 b=GJxuY4cAU7fOxqERIy0fIw+Ly2gsUabpIfXBkY/nK29WQ2DUA0hn4toTojpndfFVaV
 BOmgrpWvz72VagCOPCbxk973C0hxRi2+ZzkrFLcvDIGpHhuGaweEuZR0tZRO64QJbYLC
 ZUiITrWZV072XUOvUB4ga3B6Z4uHJSNKaTbWKDukhpu/KzelzENjTrpYhAe0yJqPyWjp
 SjC30ztuEJFFLSw/pPN0kZumvAx2GSivQHsSCieUfSbvHtAx5rnUPKTWxEMCnObYE4BQ
 sUlqFXLj4pxQzI3wtGgnFI3W44K+Si2xRnCCF2C1bPxpjhFydgmp9wqbYYz/Bsj3+/3L
 vQdw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:message-id:to:from:subject;
 bh=htczOtjiWUfPvipOVTxl/0fPYlkwD8R9tUaXYGdjD8E=;
 b=Npg95nNRbAiKu2nzQYURZPU37aQGR+OWLLZqsw6ShHfU/WwIfDHfgjn9EflFmqxigg
 EQBH9Ej3CSL3QsMAnK1XXL5QBGgm194My252QUBNkX03hCna6rmM3g0RQfTZYEXjUoUB
 lzLJw0AUTX5ra/JIax8atBJ3mpGIls2TpjPXyHZ927nRgx901CaHjEwHjZfx6sSeww75
 WIb8lRqAKORF0oCHUzyCCMLLNNKt8Ngfr+F4zUleXmbn2C8n0QIbhu2zEe0fFLbJxJJJ
 1Qf/m84lI5txGfS2fOxlJALj11xJXupQKT6V1QUlqJJL4dFZNnvU8F5Tu4dRUTjft19j
 L5/A==
X-Gm-Message-State: AE9vXwNwxeItyvVT65Gp3dTe2QKUd7pqLETtdunUTGCHiuzymXFtUyDdUXOVl2tr2fLoIg==
X-Received: by 10.194.59.116 with SMTP id y20mr862227wjq.181.1473588499605;
 Sun, 11 Sep 2016 03:08:19 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2914-1213-ae12-f60c.holly.idiocy.org.
 [2001:8b0:3f8:8129:2914:1213:ae12:f60c])
 by smtp.gmail.com with ESMTPSA id o5sm12238218wmg.16.2016.09.11.03.08.18
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 11 Sep 2016 03:08:19 -0700 (PDT)
Date: Sun, 11 Sep 2016 11:08:18 +0100
Message-Id: <m2k2ei6965.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Alan Third <alan@HIDDEN>
Subject: control message for bug #16127
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  tags 16127 unreproducible [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [74.125.82.50 listed in dnsbl.sorbs.net]
 0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [74.125.82.50 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (athird[at]googlemail.com)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [74.125.82.50 listed in wl.mailspike.net]
 0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  tags 16127 unreproducible [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [74.125.82.50 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.50 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [74.125.82.50 listed in list.dnswl.org]
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (athird[at]googlemail.com)
  0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

tags 16127 unreproducible





Last modified: Sun, 11 Sep 2016 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.